Loading...
Searching...
No Matches
CLI::detail::type_count< T, typename std::enable_if<!is_wrapper< T >::value &&!is_tuple_like< T >::value &&!is_complex< T >::value &&!std::is_void< T >::value >::type > Struct Template Reference

Type size for regular object types that do not look like a tuple. More...

`#include <TypeTools.hpp>`

## Static Public Attributes

static constexpr int | value {1}

## Detailed Description

template<typename T>
struct CLI::detail::type_count< T, typename std::enable_if<!is_wrapper< T >::value &&!is_tuple_like< T >::value &&!is_complex< T >::value &&!std::is_void< T >::value >::type >

Type size for regular object types that do not look like a tuple.

## Member Data Documentation

## value

template<typename T>

int CLI::detail::type_count< T, typename std::enable_if<!is_wrapper< T >::value &&!is_tuple_like< T >::value &&!is_complex< T >::value &&!std::is_void< T >::value >::type >::value {1}

static constexpr

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp